Index: /extensions/Psli_BingMaps/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/Psli_BingMaps/language/it_IT/plugin.lang.php	(revision 15431)
+++ /extensions/Psli_BingMaps/language/it_IT/plugin.lang.php	(revision 15432)
@@ -22,49 +22,105 @@
 // +-----------------------------------------------------------------------+
 $lang['Action'] = 'Azione';
-$lang['Annuler le mode creation'] = 'Annulla modalità di perimetro';
+$lang['Action Album'] = 'Action Album';
+$lang['Action Picture'] = 'Action Picture';
+$lang['Action Zoom'] = 'Action Zoom';
+$lang['Added pictures'] = 'Added pictures';
+$lang['Associated map'] = 'Associated map';
+$lang['Batch association'] = 'Batch association';
 $lang['Bing Maps Key'] = 'Bing Maps Key';
-$lang['Categorie'] = 'Categoria';
+$lang['Category'] = 'Categoria';
+$lang['Category not selected'] = 'Category not selected';
 $lang['Center Latittude'] = 'A partire dalla Latitude';
 $lang['Center Longitude'] = 'A partire dalla longitudine';
-$lang['Cliquez pour acceder aux photos'] = 'Cliccare per visualizzare';
-$lang['Cliquez pour zoomer sur'] = 'Clicca per ingrandire per';
-$lang['Configuration'] = 'setup';
-$lang['Contenu'] = 'Mostrare l\'immagine della categoria';
-$lang['Creer une zone'] = 'creare perimetro';
-$lang['Enregistrer la zone'] = 'salvare perimetro';
-$lang['Etes-vous sur ?'] = 'Siete sicuri?';
+$lang['Change Zoom Level'] = 'Change Zoom Level';
+$lang['Click to show pictures of'] = 'Cliccare per visualizzare';
+$lang['Click to zoom on'] = 'Clicca per ingrandire per';
+$lang['Configuration'] = 'Setup';
+$lang['Configuration mode'] = 'Configuration mode';
+$lang['Create a map'] = 'Create a map';
+$lang['Create a pin'] = 'Create a pin';
+$lang['Create a zone'] = 'Creare perimetro';
+$lang['Delete all points'] = 'Rimuovere tutto';
+$lang['Delete last point'] = 'Cancellare ultimo punto';
+$lang['Delete this map'] = 'Delete this map';
+$lang['Delete this picture'] = 'Delete this picture';
+$lang['Delete this pin'] = 'Delete this pin';
+$lang['Delete this zone'] = 'Delete this zone';
+$lang['Entity field'] = 'Entity field';
+$lang['Exif import'] = 'Exif import';
+$lang['fifth step : check association with your maps'] = 'fifth step : check association with your maps';
+$lang['first step : create map'] = 'first step : create map';
+$lang['fourth step : make modification to pin associated to your pictures'] = 'fourth step : make modification to pin associated to your pictures';
+$lang['last step : Enjoy !'] = 'last step : Enjoy !';
 $lang['Latitude'] = 'Latitudine';
-$lang['Localisation - Plugin Psli-BingMaps'] = 'Localizazione - Plug-in Psli-BingMaps';
 $lang['Longitude'] = 'Longitudine';
-$lang['PointnClick Map'] = 'Mappa point and click';
+$lang['Map mode'] = 'Map mode';
+$lang['Map Title'] = 'Map Title';
+$lang['Modified pictures'] = 'Modified pictures';
+$lang['New Entity'] = 'New Entity';
+$lang['New Map'] = 'New Map';
+$lang['New Picture'] = 'New Picture';
+$lang['New Pin'] = 'New Pin';
+$lang['New Zone'] = 'New Zone';
+$lang['No exif in pictures for this category'] = 'No exif in pictures for this category';
+$lang['No selected entity'] = 'No selected entity';
+$lang['No selected map'] = 'No selected map';
+$lang['Not assign to a category'] = 'Not assign to a category';
+$lang['Open Category'] = 'Open Category';
+$lang['Open Picture'] = 'Open Picture';
+$lang['Open this category'] = 'Open this category';
+$lang['Open this map'] = 'Open this map';
+$lang['Open this picture'] = 'Open this picture';
+$lang['Open this pin'] = 'Open this pin';
+$lang['Open this zone'] = 'Open this zone';
+$lang['Picture'] = 'Picture';
+$lang['Picture mode'] = 'Picture mode';
+$lang['Picture Title'] = 'Picture Title';
+$lang['pictures'] = 'pictures';
+$lang['Pin'] = 'Pin';
+$lang['Pin mode'] = 'Pin mode';
+$lang['Pin Title'] = 'Pin Title';
+$lang['Reload saved zone'] = 'Reload saved zone';
+$lang['second step : import exif data from your pictures'] = 'second step : import exif data from your pictures';
+$lang['Select a Category'] = 'Select a Category';
+$lang['Select a Map'] = 'Select a Map';
+$lang['Select a picture'] = 'Select a picture';
+$lang['Select a pin'] = 'Select a pin';
+$lang['Select a zone'] = 'Select a zone';
 $lang['Set'] = 'Set';
-$lang['Setup Helper'] = 'Utilizza la mappa per impostare la posizione iniziale, centrale e livello di zoom della mappa.';
-$lang['Submit'] = 'Salvare';
-$lang['Supprimer la localisation'] = 'Eliminare tutti i dati';
-$lang['Supprimer le dernier point'] = 'Cancellare ultimo punto';
-$lang['Tout effacer'] = 'rimuovere tutto';
-$lang['Valider'] = 'commettere';
-$lang['Zoom maximum'] = 'zoom massimo';
-$lang['Zoom minimum'] = 'zoom minimo';
-$lang['Zoom niveau 10'] = 'Zoom al livello 10';
-$lang['Zoom niveau 11'] = 'Zoom al livello 11';
-$lang['Zoom niveau 12'] = 'Zoom al livello 12';
-$lang['Zoom niveau 13'] = 'Zoom al livello 13';
-$lang['Zoom niveau 14'] = 'Zoom al livello 14';
-$lang['Zoom niveau 15'] = 'Zoom al livello 15';
-$lang['Zoom niveau 16'] = 'Zoom al livello 16';
-$lang['Zoom niveau 17'] = 'Zoom al livello 17';
-$lang['Zoom niveau 18'] = 'Zoom al livello 18';
-$lang['Zoom niveau 19'] = 'Zoom al livello 19';
-$lang['Zoom niveau 1'] = 'Zoom al livello 1';
-$lang['Zoom niveau 20'] = 'Zoom al livello 20';
-$lang['Zoom niveau 2'] = 'Zoom al livello 2';
-$lang['Zoom niveau 3'] = 'Zoom al livello 3';
-$lang['Zoom niveau 4'] = 'Zoom al livello 4';
-$lang['Zoom niveau 5'] = 'Zoom al livello 5';
-$lang['Zoom niveau 6'] = 'Zoom al livello 6';
-$lang['Zoom niveau 7'] = 'Zoom al livello 7';
-$lang['Zoom niveau 8'] = 'Zoom al livello 8';
-$lang['Zoom niveau 9'] = 'Zoom al livello 9';
+$lang['Show guest view'] = 'Show guest view';
+$lang['Show map center'] = 'Show map center';
+$lang['third step : create new zone and new pin'] = 'third step : create new zone and new pin';
+$lang['User manual'] = 'User manual';
+$lang['You need to select a category'] = 'You need to select a category';
+$lang['You need to select a map'] = 'You need to select a map';
+$lang['You need to select a picture'] = 'You need to select a picture';
+$lang['You need to select a pin'] = 'You need to select a pin';
+$lang['You need to select a zone'] = 'You need to select a zone';
+$lang['Zone'] = 'Zone';
+$lang['Zone mode'] = 'Zone mode';
+$lang['Zone Title'] = 'Zone Title';
 $lang['Zoom'] = 'A partire dallo Zoom';
+$lang['Zoom level 1'] = 'Zoom al livello 1';
+$lang['Zoom level 10'] = 'Zoom al livello 10';
+$lang['Zoom level 11'] = 'Zoom al livello 11';
+$lang['Zoom level 12'] = 'Zoom al livello 12';
+$lang['Zoom level 13'] = 'Zoom al livello 13';
+$lang['Zoom level 14'] = 'Zoom al livello 14';
+$lang['Zoom level 15'] = 'Zoom al livello 15';
+$lang['Zoom level 16'] = 'Zoom al livello 16';
+$lang['Zoom level 17'] = 'Zoom al livello 17';
+$lang['Zoom level 18'] = 'Zoom al livello 18';
+$lang['Zoom level 19'] = 'Zoom al livello 19';
+$lang['Zoom level 2'] = 'Zoom al livello 2';
+$lang['Zoom level 20'] = 'Zoom al livello 20';
+$lang['Zoom level 3'] = 'Zoom al livello 3';
+$lang['Zoom level 4'] = 'Zoom al livello 4';
+$lang['Zoom level 5'] = 'Zoom al livello 5';
+$lang['Zoom level 6'] = 'Zoom al livello 6';
+$lang['Zoom level 7'] = 'Zoom al livello 7';
+$lang['Zoom level 8'] = 'Zoom al livello 8';
+$lang['Zoom level 9'] = 'Zoom al livello 9';
+$lang['Zoom maximum'] = 'Zoom massimo';
+$lang['Zoom minimum'] = 'Zoom minimo';
 ?>
Index: /extensions/Psli_BingMaps/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/Psli_BingMaps/language/pt_PT/plugin.lang.php	(revision 15431)
+++ /extensions/Psli_BingMaps/language/pt_PT/plugin.lang.php	(revision 15432)
@@ -22,49 +22,105 @@
 // +-----------------------------------------------------------------------+
 $lang['Action'] = 'Acção';
-$lang['Annuler le mode creation'] = 'Cancelar o modo perimetro';
+$lang['Action Album'] = 'Action Album';
+$lang['Action Picture'] = 'Action Picture';
+$lang['Action Zoom'] = 'Action Zoom';
+$lang['Added pictures'] = 'Added pictures';
+$lang['Associated map'] = 'Associated map';
+$lang['Batch association'] = 'Batch association';
 $lang['Bing Maps Key'] = 'Chave dos mapas bing';
-$lang['Categorie'] = 'Categoria';
+$lang['Category'] = 'Categoria';
+$lang['Category not selected'] = 'Category not selected';
 $lang['Center Latittude'] = 'Iniciar Latitude';
 $lang['Center Longitude'] = 'Iniciar Longitude';
-$lang['Cliquez pour acceder aux photos'] = 'Clique para ver';
-$lang['Cliquez pour zoomer sur'] = 'Clique para zoom ';
+$lang['Change Zoom Level'] = 'Change Zoom Level';
+$lang['Click to show pictures of'] = 'Clique para ver';
+$lang['Click to zoom on'] = 'Clique para zoom ';
 $lang['Configuration'] = 'Instalar';
-$lang['Contenu'] = 'Mostrar a foto da categoria';
-$lang['Creer une zone'] = 'Criar perimetro';
-$lang['Enregistrer la zone'] = 'Salvar perimetro';
-$lang['Etes-vous sur ?'] = 'Tem a certeza?';
+$lang['Configuration mode'] = 'Configuration mode';
+$lang['Create a map'] = 'Create a map';
+$lang['Create a pin'] = 'Create a pin';
+$lang['Create a zone'] = 'Criar perimetro';
+$lang['Delete all points'] = 'Remover tudo';
+$lang['Delete last point'] = 'Apagar último ponto';
+$lang['Delete this map'] = 'Delete this map';
+$lang['Delete this picture'] = 'Delete this picture';
+$lang['Delete this pin'] = 'Delete this pin';
+$lang['Delete this zone'] = 'Delete this zone';
+$lang['Entity field'] = 'Entity field';
+$lang['Exif import'] = 'Exif import';
+$lang['fifth step : check association with your maps'] = 'fifth step : check association with your maps';
+$lang['first step : create map'] = 'first step : create map';
+$lang['fourth step : make modification to pin associated to your pictures'] = 'fourth step : make modification to pin associated to your pictures';
+$lang['last step : Enjoy !'] = 'last step : Enjoy !';
 $lang['Latitude'] = 'Latitude';
-$lang['Localisation - Plugin Psli-BingMaps'] = 'Localização - Extenção Psli-BingMaps';
 $lang['Longitude'] = 'Longitude';
-$lang['PointnClick Map'] = 'Aponte e clique no mapa';
-$lang['Set'] = 'Definir';
-$lang['Setup Helper'] = 'Use o mapa para definir a posição central inicial e nível de zoom do mapa';
-$lang['Submit'] = 'Salvar';
-$lang['Supprimer la localisation'] = 'Apagar todos os dados';
-$lang['Supprimer le dernier point'] = 'Apagar último ponto';
-$lang['Tout effacer'] = 'Remover tudo';
-$lang['Valider'] = 'Cometer';
+$lang['Map mode'] = 'Map mode';
+$lang['Map Title'] = 'Map Title';
+$lang['Modified pictures'] = 'Modified pictures';
+$lang['New Entity'] = 'New Entity';
+$lang['New Map'] = 'New Map';
+$lang['New Picture'] = 'New Picture';
+$lang['New Pin'] = 'New Pin';
+$lang['New Zone'] = 'New Zone';
+$lang['No exif in pictures for this category'] = 'No exif in pictures for this category';
+$lang['No selected entity'] = 'No selected entity';
+$lang['No selected map'] = 'No selected map';
+$lang['Not assign to a category'] = 'Not assign to a category';
+$lang['Open Category'] = 'Open Category';
+$lang['Open Picture'] = 'Open Picture';
+$lang['Open this category'] = 'Open this category';
+$lang['Open this map'] = 'Open this map';
+$lang['Open this picture'] = 'Open this picture';
+$lang['Open this pin'] = 'Open this pin';
+$lang['Open this zone'] = 'Open this zone';
+$lang['Picture'] = 'Picture';
+$lang['Picture mode'] = 'Picture mode';
+$lang['Picture Title'] = 'Picture Title';
+$lang['pictures'] = 'pictures';
+$lang['Pin'] = 'Pin';
+$lang['Pin mode'] = 'Pin mode';
+$lang['Pin Title'] = 'Pin Title';
+$lang['Reload saved zone'] = 'Reload saved zone';
+$lang['second step : import exif data from your pictures'] = 'second step : import exif data from your pictures';
+$lang['Select a Category'] = 'Select a Category';
+$lang['Select a Map'] = 'Select a Map';
+$lang['Select a picture'] = 'Select a picture';
+$lang['Select a pin'] = 'Select a pin';
+$lang['Select a zone'] = 'Select a zone';
+$lang['Set'] = 'Set';
+$lang['Show guest view'] = 'Show guest view';
+$lang['Show map center'] = 'Show map center';
+$lang['third step : create new zone and new pin'] = 'third step : create new zone and new pin';
+$lang['User manual'] = 'User manual';
+$lang['You need to select a category'] = 'You need to select a category';
+$lang['You need to select a map'] = 'You need to select a map';
+$lang['You need to select a picture'] = 'You need to select a picture';
+$lang['You need to select a pin'] = 'You need to select a pin';
+$lang['You need to select a zone'] = 'You need to select a zone';
+$lang['Zone'] = 'Zone';
+$lang['Zone mode'] = 'Zone mode';
+$lang['Zone Title'] = 'Zone Title';
+$lang['Zoom'] = 'Iniciar zoom';
+$lang['Zoom level 1'] = 'Zoom nível 1';
+$lang['Zoom level 10'] = 'Zoom nível 10';
+$lang['Zoom level 11'] = 'Zoom nível 11';
+$lang['Zoom level 12'] = 'Zoom nível 12';
+$lang['Zoom level 13'] = 'Zoom nível 13';
+$lang['Zoom level 14'] = 'Zoom nível 14';
+$lang['Zoom level 15'] = 'Zoom nível 15';
+$lang['Zoom level 16'] = 'Zoom nível 16';
+$lang['Zoom level 17'] = 'Zoom nível 17';
+$lang['Zoom level 18'] = 'Zoom nível 18';
+$lang['Zoom level 19'] = 'Zoom nível 19';
+$lang['Zoom level 2'] = 'Zoom nível 2';
+$lang['Zoom level 20'] = 'Zoom nível 20';
+$lang['Zoom level 3'] = 'Zoom nível 3';
+$lang['Zoom level 4'] = 'Zoom nível 4';
+$lang['Zoom level 5'] = 'Zoom nível 5';
+$lang['Zoom level 6'] = 'Zoom nível 6';
+$lang['Zoom level 7'] = 'Zoom nível 7';
+$lang['Zoom level 8'] = 'Zoom nível 8';
+$lang['Zoom level 9'] = 'Zoom nível 9';
 $lang['Zoom maximum'] = 'Zoom máximo';
 $lang['Zoom minimum'] = 'Zoom mínimo';
-$lang['Zoom niveau 10'] = 'Zoom nível 10';
-$lang['Zoom niveau 11'] = 'Zoom nível 11';
-$lang['Zoom niveau 12'] = 'Zoom nível 12';
-$lang['Zoom niveau 13'] = 'Zoom nível 13';
-$lang['Zoom niveau 14'] = 'Zoom nível 14';
-$lang['Zoom niveau 15'] = 'Zoom nível 15';
-$lang['Zoom niveau 16'] = 'Zoom nível 16';
-$lang['Zoom niveau 17'] = 'Zoom nível 17';
-$lang['Zoom niveau 18'] = 'Zoom nível 18';
-$lang['Zoom niveau 19'] = 'Zoom nível 19';
-$lang['Zoom niveau 1'] = 'Zoom nível 1';
-$lang['Zoom niveau 20'] = 'Zoom nível 20';
-$lang['Zoom niveau 2'] = 'Zoom nível 2';
-$lang['Zoom niveau 3'] = 'Zoom nível 3';
-$lang['Zoom niveau 4'] = 'Zoom nível 4';
-$lang['Zoom niveau 5'] = 'Zoom nível 5';
-$lang['Zoom niveau 6'] = 'Zoom nível 6';
-$lang['Zoom niveau 7'] = 'Zoom nível 7';
-$lang['Zoom niveau 8'] = 'Zoom nível 8';
-$lang['Zoom niveau 9'] = 'Zoom nível 9';
-$lang['Zoom'] = 'Iniciar zoom';
 ?>
Index: /extensions/Psli_BingMaps/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/Psli_BingMaps/language/ru_RU/plugin.lang.php	(revision 15431)
+++ /extensions/Psli_BingMaps/language/ru_RU/plugin.lang.php	(revision 15432)
@@ -22,49 +22,105 @@
 // +-----------------------------------------------------------------------+
 $lang['Action'] = 'Действие';
-$lang['Annuler le mode creation'] = 'Отмена режима периметра';
+$lang['Action Album'] = 'Action Album';
+$lang['Action Picture'] = 'Action Picture';
+$lang['Action Zoom'] = 'Action Zoom';
+$lang['Added pictures'] = 'Added pictures';
+$lang['Associated map'] = 'Associated map';
+$lang['Batch association'] = 'Batch association';
 $lang['Bing Maps Key'] = 'Ключ Bing Maps';
-$lang['Categorie'] = 'Категория';
+$lang['Category'] = 'Категория';
+$lang['Category not selected'] = 'Category not selected';
 $lang['Center Latittude'] = 'Начальная широта';
 $lang['Center Longitude'] = 'Начальная долгота';
-$lang['Cliquez pour acceder aux photos'] = 'Нажать для просмотра';
-$lang['Cliquez pour zoomer sur'] = 'Нажать для изменения масштаба до ';
+$lang['Change Zoom Level'] = 'Change Zoom Level';
+$lang['Click to show pictures of'] = 'Нажать для просмотра';
+$lang['Click to zoom on'] = 'Нажать для изменения масштаба до';
 $lang['Configuration'] = 'Установка';
-$lang['Contenu'] = 'Показать картинку категории';
-$lang['Creer une zone'] = 'Создание периметра';
-$lang['Enregistrer la zone'] = 'Сохранить периметр';
-$lang['Etes-vous sur ?'] = 'Уверены?';
+$lang['Configuration mode'] = 'Configuration mode';
+$lang['Create a map'] = 'Create a map';
+$lang['Create a pin'] = 'Create a pin';
+$lang['Create a zone'] = 'Создание периметра';
+$lang['Delete all points'] = 'Удалить все';
+$lang['Delete last point'] = 'Удалить последнюю точку';
+$lang['Delete this map'] = 'Delete this map';
+$lang['Delete this picture'] = 'Delete this picture';
+$lang['Delete this pin'] = 'Delete this pin';
+$lang['Delete this zone'] = 'Delete this zone';
+$lang['Entity field'] = 'Entity field';
+$lang['Exif import'] = 'Exif import';
+$lang['fifth step : check association with your maps'] = 'fifth step : check association with your maps';
+$lang['first step : create map'] = 'first step : create map';
+$lang['fourth step : make modification to pin associated to your pictures'] = 'fourth step : make modification to pin associated to your pictures';
+$lang['last step : Enjoy !'] = 'last step : Enjoy !';
 $lang['Latitude'] = 'Широта';
-$lang['Localisation - Plugin Psli-BingMaps'] = 'Локализация - Плагин Psli-BingMaps';
 $lang['Longitude'] = 'Долгота';
-$lang['PointnClick Map'] = 'Укажите точку на карте';
-$lang['Set'] = 'Набор';
-$lang['Setup Helper'] = 'Используйте карту, чтобы установить начальную позицию центра и уровень масштабирования карты.';
-$lang['Submit'] = 'Сохранить';
-$lang['Supprimer la localisation'] = 'Удалить все данные';
-$lang['Supprimer le dernier point'] = 'Удалить последнюю точку';
-$lang['Tout effacer'] = 'Удалить все';
-$lang['Valider'] = 'Передать';
+$lang['Map mode'] = 'Map mode';
+$lang['Map Title'] = 'Map Title';
+$lang['Modified pictures'] = 'Modified pictures';
+$lang['New Entity'] = 'New Entity';
+$lang['New Map'] = 'New Map';
+$lang['New Picture'] = 'New Picture';
+$lang['New Pin'] = 'New Pin';
+$lang['New Zone'] = 'New Zone';
+$lang['No exif in pictures for this category'] = 'No exif in pictures for this category';
+$lang['No selected entity'] = 'No selected entity';
+$lang['No selected map'] = 'No selected map';
+$lang['Not assign to a category'] = 'Not assign to a category';
+$lang['Open Category'] = 'Open Category';
+$lang['Open Picture'] = 'Open Picture';
+$lang['Open this category'] = 'Open this category';
+$lang['Open this map'] = 'Open this map';
+$lang['Open this picture'] = 'Open this picture';
+$lang['Open this pin'] = 'Open this pin';
+$lang['Open this zone'] = 'Open this zone';
+$lang['Picture'] = 'Picture';
+$lang['Picture mode'] = 'Picture mode';
+$lang['Picture Title'] = 'Picture Title';
+$lang['pictures'] = 'pictures';
+$lang['Pin'] = 'Pin';
+$lang['Pin mode'] = 'Pin mode';
+$lang['Pin Title'] = 'Pin Title';
+$lang['Reload saved zone'] = 'Reload saved zone';
+$lang['second step : import exif data from your pictures'] = 'second step : import exif data from your pictures';
+$lang['Select a Category'] = 'Select a Category';
+$lang['Select a Map'] = 'Select a Map';
+$lang['Select a picture'] = 'Select a picture';
+$lang['Select a pin'] = 'Select a pin';
+$lang['Select a zone'] = 'Select a zone';
+$lang['Set'] = 'Set';
+$lang['Show guest view'] = 'Show guest view';
+$lang['Show map center'] = 'Show map center';
+$lang['third step : create new zone and new pin'] = 'third step : create new zone and new pin';
+$lang['User manual'] = 'User manual';
+$lang['You need to select a category'] = 'You need to select a category';
+$lang['You need to select a map'] = 'You need to select a map';
+$lang['You need to select a picture'] = 'You need to select a picture';
+$lang['You need to select a pin'] = 'You need to select a pin';
+$lang['You need to select a zone'] = 'You need to select a zone';
+$lang['Zone'] = 'Zone';
+$lang['Zone mode'] = 'Zone mode';
+$lang['Zone Title'] = 'Zone Title';
+$lang['Zoom'] = 'Начальный зум';
+$lang['Zoom level 1'] = 'Зум уровень 1';
+$lang['Zoom level 10'] = 'Зум уровень 10';
+$lang['Zoom level 11'] = 'Зум уровень 11';
+$lang['Zoom level 12'] = 'Зум уровень 12';
+$lang['Zoom level 13'] = 'Зум уровень 13';
+$lang['Zoom level 14'] = 'Зум уровень 14';
+$lang['Zoom level 15'] = 'Зум уровень 15';
+$lang['Zoom level 16'] = 'Зум уровень 16';
+$lang['Zoom level 17'] = 'Зум уровень 17';
+$lang['Zoom level 18'] = 'Зум уровень 18';
+$lang['Zoom level 19'] = 'Зум уровень 19';
+$lang['Zoom level 2'] = 'Зум уровень 2';
+$lang['Zoom level 20'] = 'Зум уровень 20';
+$lang['Zoom level 3'] = 'Зум уровень 3';
+$lang['Zoom level 4'] = 'Зум уровень 4';
+$lang['Zoom level 5'] = 'Зум уровень 5';
+$lang['Zoom level 6'] = 'Зум уровень 6';
+$lang['Zoom level 7'] = 'Зум уровень 7';
+$lang['Zoom level 8'] = 'Зум уровень 8';
+$lang['Zoom level 9'] = 'Зум уровень 9';
 $lang['Zoom maximum'] = 'Максимальный зум';
 $lang['Zoom minimum'] = 'Минимальный зум';
-$lang['Zoom niveau 10'] = 'Зум уровень 10';
-$lang['Zoom niveau 11'] = 'Зум уровень 11';
-$lang['Zoom niveau 12'] = 'Зум уровень 12';
-$lang['Zoom niveau 13'] = 'Зум уровень 13';
-$lang['Zoom niveau 14'] = 'Зум уровень 14';
-$lang['Zoom niveau 15'] = 'Зум уровень 15';
-$lang['Zoom niveau 16'] = 'Зум уровень 16';
-$lang['Zoom niveau 17'] = 'Зум уровень 17';
-$lang['Zoom niveau 18'] = 'Зум уровень 18';
-$lang['Zoom niveau 19'] = 'Зум уровень 19';
-$lang['Zoom niveau 1'] = 'Зум уровень 1';
-$lang['Zoom niveau 20'] = 'Зум уровень 20';
-$lang['Zoom niveau 2'] = 'Зум уровень 2';
-$lang['Zoom niveau 3'] = 'Зум уровень 3';
-$lang['Zoom niveau 4'] = 'Зум уровень 4';
-$lang['Zoom niveau 5'] = 'Зум уровень 5';
-$lang['Zoom niveau 6'] = 'Зум уровень 6';
-$lang['Zoom niveau 7'] = 'Зум уровень 7';
-$lang['Zoom niveau 8'] = 'Зум уровень 8';
-$lang['Zoom niveau 9'] = 'Зум уровень 9';
-$lang['Zoom'] = 'Начальный зум';
 ?>
Index: /extensions/Psli_BingMaps/main.inc.php
===================================================================
--- /extensions/Psli_BingMaps/main.inc.php	(revision 15431)
+++ /extensions/Psli_BingMaps/main.inc.php	(revision 15432)
@@ -6,31 +6,22 @@
 Author: psli 
 Description: Extension to piwigo for use of bing maps to navigate in geolocalized album
-
------------------------------------------------------------------------------------------
-1.1		2012-05-08	Ajout de l'internationalisation et de l'anglais
------------------------------------------------------------------------------------------
-1.0		2012-05-07	Verison initiale
------------------------------------------------------------------------------------------
 */
 // Chech whether we are indeed included by Piwigo.
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-// define Path for PHP and JS file
+// define generic Path
 define ('PSLI_BINGMAPS_PATH', PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
-//define ('PSLI_BINGMAPS_JS', PSLI_BINGMAPS_PATH.'JS/Psli-BingMaps.js');
+define('PSLI_BINGMAPS_TEMPLATE_PATH', dirname(__FILE__).'/');
 define ('PSLI_BINGMAPS_VERSION_INC_PHP', PSLI_BINGMAPS_PATH.'include/version.inc.php');
-define ('PSLI_BINGMAPS_ADMIN_INC_PHP', PSLI_BINGMAPS_PATH.'include/admin.inc.php');
-define ('PSLI_BINGMAPS_GUEST_INC_PHP', PSLI_BINGMAPS_PATH.'include/guest.inc.php');
-define ('PSLI_BINGMAPS_ADMIN_PHP', PSLI_BINGMAPS_PATH.'include/admin.php');
 
-// define Path for template file
-define('PSLI_BINGMAPS_TEMPLATE_PATH', dirname(__FILE__).'/');
-define ('PSLI_BINGMAPS_ADMIN_TPL', PSLI_BINGMAPS_TEMPLATE_PATH.'template/admin.tpl');
-
-// Include define data
+// Include define data and global function
 include_once(dirname(__FILE__).'/include/const.inc.php');
+include_once(dirname(__FILE__).'/include/function.inc.php');
 
 // Check plugin update
 include_once(PSLI_BINGMAPS_VERSION_INC_PHP);
+
+//******* Language data *******
+load_language('plugin.lang', PSLI_BINGMAPS_TEMPLATE_PATH);
 
 // Plugin for admin
@@ -55,6 +46,48 @@
 		$root = $row['value'];
 	}
-	define ('PSLI_BINGMAPS_JS', $root.'plugins/Psli-BingMaps/JS/Psli-BingMaps.js');
-	include_once(PSLI_BINGMAPS_ADMIN_INC_PHP);
+	
+	// define Path for admin file
+	define ('PSLI_BINGMAPS_ADMIN_PHP', PSLI_BINGMAPS_PATH.'admin/admin.php');
+	define ('PSLI_BINGMAPS_CLASS_ENTITY_PHP', PSLI_BINGMAPS_PATH.'admin/class/psli_entity.class.php');
+	
+	// Define path for configuration tab 
+	define ('PSLI_BINGMAPS_ADMIN_CONF_PHP', PSLI_BINGMAPS_PATH.'admin/include/admin_conf.inc.php');
+	define ('PSLI_BINGMAPS_ADMIN_CONF_TPL', PSLI_BINGMAPS_TEMPLATE_PATH.'admin/template/admin_conf.tpl');
+	
+	// Define path for map tab
+	define ('PSLI_BINGMAPS_ADMIN_MAP_PHP', PSLI_BINGMAPS_PATH.'admin/include/admin_map.inc.php');
+	define ('PSLI_BINGMAPS_CLASS_MAP_PHP', PSLI_BINGMAPS_PATH.'admin/class/psli_map.class.php');
+	define ('PSLI_BINGMAPS_ADMIN_MAP_TPL', PSLI_BINGMAPS_TEMPLATE_PATH.'admin/template/admin_map.tpl');
+	define ('PSLI_BINGMAPS_JS_MAP', $root.'plugins/Psli-BingMaps/admin/JS/Psli-BingMaps-Map.js');
+	
+	// Define path for pin tab
+	define ('PSLI_BINGMAPS_ADMIN_PIN_PHP', PSLI_BINGMAPS_PATH.'admin/include/admin_pin.inc.php');
+	define ('PSLI_BINGMAPS_CLASS_PIN_PHP', PSLI_BINGMAPS_PATH.'admin/class/psli_pin.class.php');
+	define ('PSLI_BINGMAPS_ADMIN_PIN_TPL', PSLI_BINGMAPS_TEMPLATE_PATH.'admin/template/admin_pin.tpl');
+	define ('PSLI_BINGMAPS_JS_PIN', $root.'plugins/Psli-BingMaps/admin/JS/Psli-BingMaps-Pin.js');
+	
+	// Define path for zone tab
+	define ('PSLI_BINGMAPS_ADMIN_ZONE_PHP', PSLI_BINGMAPS_PATH.'admin/include/admin_zone.inc.php');
+	define ('PSLI_BINGMAPS_CLASS_ZONE_PHP', PSLI_BINGMAPS_PATH.'admin/class/psli_zone.class.php');
+	define ('PSLI_BINGMAPS_ADMIN_ZONE_TPL', PSLI_BINGMAPS_TEMPLATE_PATH.'admin/template/admin_zone.tpl');
+	define ('PSLI_BINGMAPS_JS_ZONE', $root.'plugins/Psli-BingMaps/admin/JS/Psli-BingMaps-Zone.js');
+	
+	// Define path for picture tab
+	define ('PSLI_BINGMAPS_ADMIN_PICTURE_PHP', PSLI_BINGMAPS_PATH.'admin/include/admin_picture.inc.php');
+	define ('PSLI_BINGMAPS_CLASS_PICTURE_PHP', PSLI_BINGMAPS_PATH.'admin/class/psli_picture.class.php');
+	define ('PSLI_BINGMAPS_ADMIN_PICTURE_TPL', PSLI_BINGMAPS_TEMPLATE_PATH.'admin/template/admin_picture.tpl');
+	
+	// Define path for exif tab
+	define ('PSLI_BINGMAPS_ADMIN_EXIF_PHP', PSLI_BINGMAPS_PATH.'admin/include/admin_exif.inc.php');
+	define ('PSLI_BINGMAPS_ADMIN_EXIF_TPL', PSLI_BINGMAPS_TEMPLATE_PATH.'admin/template/admin_exif.tpl');
+	
+	// Define path for batch tab
+	define ('PSLI_BINGMAPS_ADMIN_BATCH_PHP', PSLI_BINGMAPS_PATH.'admin/include/admin_batch.inc.php');
+	define ('PSLI_BINGMAPS_ADMIN_BATCH_TPL', PSLI_BINGMAPS_TEMPLATE_PATH.'admin/template/admin_batch.tpl');
+	define ('PSLI_BINGMAPS_ADMIN_BATCH_CSS', PSLI_BINGMAPS_PATH.'admin/css/admin_batch.css');
+	
+	
+	// Hook on to event on administration page.
+	add_event_handler('get_admin_plugin_menu_links', 'PSLIBINGMAPS_admin_menu');
 }
 else
@@ -67,4 +100,6 @@
 	$result = pwg_query($query);
 	$row = pwg_db_fetch_assoc($result);
+	
+	define ('PSLI_BINGMAPS_GUEST_INC_PHP', PSLI_BINGMAPS_PATH.'include/guest.inc.php');
 	define ('PSLI_BINGMAPS_JS', $row['value'].'plugins/Psli-BingMaps/JS/Psli-BingMaps.js');
 	
@@ -72,3 +107,17 @@
 }
 
+/********************************************************************************************/
+// Add an entry to the 'Plugins' menu.
+/********************************************************************************************/
+function PSLIBINGMAPS_admin_menu($menu) {
+ array_push(
+   $menu,
+   array(
+     'NAME'  => 'PSLI-BingMaps',
+     'URL'   => get_admin_plugin_menu_link(PSLI_BINGMAPS_ADMIN_PHP)
+   )
+ );
+ return $menu;
+}
+
 ?>
Index: /extensions/Psli_BingMaps/maintain.inc.php
===================================================================
--- /extensions/Psli_BingMaps/maintain.inc.php	(revision 15431)
+++ /extensions/Psli_BingMaps/maintain.inc.php	(revision 15432)
@@ -1,8 +1,6 @@
 <?php
 /*
-Version: 1.1
 Plugin Name: Psli-BingMaps
 Author: psli 
-Description: Maintenance function for plugin "Psli-BingMaps"
 */
 
@@ -14,5 +12,5 @@
 
 /********************************************************************************************/
-//               Plugin activation
+//               Plugin installation
 // Create all needed tables and parameters ( with value by default) in CONFIG_TABLE
 /********************************************************************************************/
@@ -22,4 +20,16 @@
 	
 	$sql = '
+		CREATE TABLE IF NOT EXISTS `'.PSLI_MAPS_TABLE."` (
+			`id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
+			`id_category` smallint(5) unsigned DEFAULT NULL,
+			`title` text,
+			`lat` decimal(15,12) DEFAULT '0.000000000000',
+			`lon` decimal(15,12) DEFAULT '0.000000000000',
+			`zoom` smallint(6) DEFAULT NULL,
+			PRIMARY KEY (`id`)
+		) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";
+	pwg_query($sql);
+	
+	$sql = '
 		CREATE TABLE IF NOT EXISTS `'.PSLI_ENTITIES_TABLE."` (
 			`id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
@@ -27,12 +37,24 @@
 			`lon` decimal(15,12) DEFAULT '0.000000000000',
 			`title` text,
-			`id_category` smallint(5) unsigned DEFAULT NULL,
 			`zoomMin` smallint(6) DEFAULT NULL,
 			`zoomMax` smallint(6) DEFAULT NULL,
 			`action` smallint(6) DEFAULT NULL,
-			PRIMARY KEY (`id`),
-			UNIQUE KEY `psli_i10` (`id_category`)
+			`id_action` smallint(5) unsigned DEFAULT NULL,
+			`type` smallint(1) default 1,
+			PRIMARY KEY (`id`)
 		) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";
 	pwg_query($sql);
+	
+	$sql = '
+		CREATE TABLE IF NOT EXISTS `'.PSLI_ENTITIES_MAPS_TABLE."` (
+			`id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
+			`id_entity` smallint(5) unsigned DEFAULT NULL,
+			`id_map` smallint(5) unsigned DEFAULT NULL,
+			PRIMARY KEY (`id`),
+			UNIQUE `psli_entity_map_1` (`id_entity`, `id_map`),
+			INDEX `psli_entity_map_2` (`id_entity`),
+			INDEX `psli_entity_map_3` (`id_map`)
+		) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";
+	pwg_query($sql);	
 	
 	$sql = '
@@ -45,20 +67,8 @@
 		) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;';
 	pwg_query($sql);
-	
-	$sql = 'INSERT INTO '.CONFIG_TABLE." (param, value) VALUES ('".PSLI_CONF_LON."', '0');";
-	pwg_query($sql);
-	
-	$sql = 'INSERT INTO '.CONFIG_TABLE." (param, value) VALUES ('".PSLI_CONF_LAT."', '0');";
-	pwg_query($sql);
-	
-	$sql = 'INSERT INTO '.CONFIG_TABLE." (param, value) VALUES ('".PSLI_CONF_ZOOM."', '2');";
-	pwg_query($sql);
-	
+		
 	$sql = 'INSERT INTO '.CONFIG_TABLE." (param, value) VALUES ('".PSLI_CONF_KEY."', 'to define');";
 	pwg_query($sql);
 	
-	$sql = 'INSERT INTO '.CONFIG_TABLE." (param, value) VALUES ('".PSLI_CONF_CATEGORY."', 'to define');";
-	pwg_query($sql);
-
 	$sql = 'INSERT INTO '.CONFIG_TABLE." (param, value) VALUES ('".PSLI_CONF_VERSION_MAJ."', '".PSLI_VERSION_MAJ."');";
 	pwg_query($sql);
@@ -70,4 +80,5 @@
 	pwg_query($sql);
 	
+	array_push($page['infos'], l10n('Information data registered in database'));
 }
 
@@ -79,17 +90,13 @@
 {
 	global $prefixeTable;
+	$sql = 'DROP TABLE `'.PSLI_MAPS_TABLE.'`;';
+	pwg_query($sql);
 	$sql = 'DROP TABLE `'.PSLI_ENTITIES_TABLE.'`;';
+	pwg_query($sql);
+	$sql = 'DROP TABLE `'.PSLI_ENTITIES_MAPS_TABLE.'`;';
 	pwg_query($sql);
 	$sql = 'DROP TABLE `'.PSLI_DATAPOINT_TABLE.'`;';
 	pwg_query($sql);
-	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_LAT."';";
-	pwg_query($sql);
-	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_LON."';";
-	pwg_query($sql);
-	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_ZOOM."';";
-	pwg_query($sql);
 	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_KEY."';";
-	pwg_query($sql);
-	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_CATEGORY."';";
 	pwg_query($sql);
 	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_VERSION_MAJ."';";
@@ -97,4 +104,8 @@
 	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_VERSION_MIN."';";
 	pwg_query($sql);
+	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_PATH."';";
+	pwg_query($sql);
+	
+	array_push($page['infos'], l10n('Information data registered in database'));
 }
 
